Package fr.gouv.vitam.common.database.translators.elasticsearch

# Class RequestToElasticsearch

java.lang.Object
fr.gouv.vitam.common.database.translators.RequestToAbstract
fr.gouv.vitam.common.database.translators.elasticsearch.RequestToElasticsearch

Direct Known Subclasses:
  `SelectToElasticsearch`

public abstract class RequestToElasticsearch extends RequestToAbstract
Request To Elasticsearch

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.translators.RequestToAbstract

  `requestParser`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestToElasticsearch(AbstractParser<?> requestParser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `co.elastic.clients.elasticsearch._types.query_dsl.Query`
  `getInitialRoots(String field)`
  Additional filter to first request
  `co.elastic.clients.elasticsearch._types.query_dsl.Query`
  `getNthQueries(int nth, VarNameAdapter adapter, DynamicParserTokens parserTokens)`
  find(query)
  `co.elastic.clients.elasticsearch._types.query_dsl.Query`
  `getRequest(co.elastic.clients.elasticsearch._types.query_dsl.Query roots, co.elastic.clients.elasticsearch._types.query_dsl.Query query)`
  `static RequestToElasticsearch`
  `getRequestToElasticsearch(AbstractParser<?> requestParser)`
  Create the RequestToElasticsearch adapted to the RequestParser

  ### Methods inherited from class fr.gouv.vitam.common.database.translators.RequestToAbstract

  `getFinalLimit, getFinalOffset, getHints, getLastDepth, getNbQueries, getNthQuery, getRequest, getRequestParser, getUsage, hasFullTextQuery, hintCache, hintNoTimeout, isMultiple, model`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestToElasticsearch

    public RequestToElasticsearch(AbstractParser<?> requestParser)
    Parameters:
      `requestParser` - AbstractParser of unknown type

- ## Method Details

  - ### getRequestToElasticsearch

    public static RequestToElasticsearch getRequestToElasticsearch(AbstractParser<?> requestParser) throws VitamException
    Create the RequestToElasticsearch adapted to the RequestParser
    Parameters:
      `requestParser` - AbstractParser of unknown type
    Returns:
      the associated RequestToElasticsearch
    Throws:
      `VitamException` - the type of request is not select

  - ### getInitialRoots

    public co.elastic.clients.elasticsearch._types.query_dsl.Query getInitialRoots(String field)
    Additional filter to first request
    Parameters:
      `field` - Field from which the proposed values shall be found
    Returns:
      the filter associated with the initial roots

  - ### getRequest

    public co.elastic.clients.elasticsearch._types.query_dsl.Query getRequest(co.elastic.clients.elasticsearch._types.query_dsl.Query roots, co.elastic.clients.elasticsearch._types.query_dsl.Query query)
    Parameters:
      `roots` - QueryBuilder
      `query` - QueryBuilder
    Returns:
      the final request

  - ### getNthQueries

    public co.elastic.clients.elasticsearch._types.query_dsl.Query getNthQueries(int nth, VarNameAdapter adapter, DynamicParserTokens parserTokens) throws IllegalAccessError, InvalidParseOperationException
    find(query)
    Parameters:
      `nth` - int
      `parserTokens` - DynamicParserTokens
    Returns:
      the associated query for find (missing the source however, as initialRoots)
    Throws:
      `IllegalAccessError` - if nth exceed the size of list
      `InvalidParseOperationException` - if could not get command by query